<?php

namespace Drupal\gnode_request\Plugin\views\field;

/**
 * Field handler to present a link to approve a membership request.
 *
 * @ingroup views_field_handlers
 *
 * @ViewsField("approve_gnode_request")
 */
class ApproveMembership extends MembershipEntityLink {

  /**
   * {@inheritdoc}
   */
  protected function getEntityLinkTemplate() {
    return 'group-node-approve';
  }

  /**
   * {@inheritdoc}
   */
  protected function getDefaultLabel() {
    return $this->t('Approve');
  }

}
