<?php

namespace Drupal\gnode_request\Plugin\views\field;

/**
 * Field handler to present a link to reject a membership request.
 *
 * @ingroup views_field_handlers
 *
 * @ViewsField("reject_gnode_request")
 */
class RejectMembership extends MembershipEntityLink {

  /**
   * {@inheritdoc}
   */
  protected function getEntityLinkTemplate() {
    return 'group-node-reject';
  }

  /**
   * {@inheritdoc}
   */
  protected function getDefaultLabel() {
    return $this->t('Reject');
  }

}
